commit:     5bc0f5a5aca371027e946648524e14b30700e059
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 22 14:32:57 2015 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Tue Sep 22 14:36:31 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5bc0f5a5

dev-ros/test_rosmaster: Initial import. Ebuild by me.

Package-Manager: portage-2.2.21

 dev-ros/test_rosmaster/Manifest                    |  1 +
 dev-ros/test_rosmaster/metadata.xml                |  5 ++++
 .../test_rosmaster/test_rosmaster-1.11.14.ebuild   | 32 ++++++++++++++++++++++
 dev-ros/test_rosmaster/test_rosmaster-9999.ebuild  | 32 ++++++++++++++++++++++
 4 files changed, 70 insertions(+)

diff --git a/dev-ros/test_rosmaster/Manifest b/dev-ros/test_rosmaster/Manifest
new file mode 100644
index 0000000..84bda76
--- /dev/null
+++ b/dev-ros/test_rosmaster/Manifest
@@ -0,0 +1 @@
+DIST ros_comm-1.11.14.tar.gz 945041 SHA256 
8e7beff35711b1918501c69cca4f29648d4d4207878edab069bcd59d515c78f3 SHA512 
be768faa0a2f45c464e963934a95dc617cac6c3fcec2388602a27846774c25b882b5139099ce10d1d051a21d5938819942e079836d14618071bc7ad90ee78bab
 WHIRLPOOL 
e047ce984086655294c20dbf0715cc29f51ec358f075f02de80c5de0d4ef8059990dc8312d78d7a7fa91c4a974dc21cba15d6eacafe02fd3df527770e50f75a5

diff --git a/dev-ros/test_rosmaster/metadata.xml 
b/dev-ros/test_rosmaster/metadata.xml
new file mode 100644
index 0000000..c42ea5b
--- /dev/null
+++ b/dev-ros/test_rosmaster/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+<herd>ros</herd>
+</pkgmetadata>

diff --git a/dev-ros/test_rosmaster/test_rosmaster-1.11.14.ebuild 
b/dev-ros/test_rosmaster/test_rosmaster-1.11.14.ebuild
new file mode 100644
index 0000000..d07a555
--- /dev/null
+++ b/dev-ros/test_rosmaster/test_rosmaster-1.11.14.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ROS_REPO_URI="https://github.com/ros/ros_comm";
+KEYWORDS="~amd64 ~arm"
+ROS_SUBDIR=test/${PN}
+CATKIN_HAS_MESSAGES=yes
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit ros-catkin
+
+DESCRIPTION="Unit tests for rosmaster"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-ros/rosgraph[${PYTHON_USEDEP}]
+       dev-ros/rostest[${PYTHON_USEDEP}]
+       dev-ros/std_msgs[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? ( dev-ros/roslib[${PYTHON_USEDEP}] )
+"
+
+src_install() {
+       ros-catkin_src_install
+       dodir /usr/share/${PN}
+       cp -a test "${ED}//usr/share/${PN}/" || die
+}

diff --git a/dev-ros/test_rosmaster/test_rosmaster-9999.ebuild 
b/dev-ros/test_rosmaster/test_rosmaster-9999.ebuild
new file mode 100644
index 0000000..d07a555
--- /dev/null
+++ b/dev-ros/test_rosmaster/test_rosmaster-9999.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+ROS_REPO_URI="https://github.com/ros/ros_comm";
+KEYWORDS="~amd64 ~arm"
+ROS_SUBDIR=test/${PN}
+CATKIN_HAS_MESSAGES=yes
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit ros-catkin
+
+DESCRIPTION="Unit tests for rosmaster"
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-ros/rosgraph[${PYTHON_USEDEP}]
+       dev-ros/rostest[${PYTHON_USEDEP}]
+       dev-ros/std_msgs[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       test? ( dev-ros/roslib[${PYTHON_USEDEP}] )
+"
+
+src_install() {
+       ros-catkin_src_install
+       dodir /usr/share/${PN}
+       cp -a test "${ED}//usr/share/${PN}/" || die
+}

Reply via email to